#norootforbuild

#
# spec file for package PhpDocumentor (Version 1.3.2)
#
# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://bugs.opensuse.org/
#

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  /var/lib/pear

Summary: The phpDocumentor package provides automatic documenting of php api directly from the source
Name: php5-pear-phpdocumentor
Version: 1.3.2
Release: 1.3
License: LGPL
Group: Development/Libraries/Other
Source0: http://pear.php.net/get/PhpDocumentor-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://pear.php.net/package/PhpDocumentor
BuildRequires: php5-pear
PreReq: php5-pear
BuildArch: noarch

%description

The phpDocumentor tool is a standalone auto-documentor similar to JavaDoc
written in PHP.  It differs from PHPDoc in that it is MUCH faster, parses
a much
wider range of php files, and comes with many customizations including 11
HTML
templates, windows help file CHM output, PDF output, and XML DocBook
peardoc2
output for use with documenting PEAR.  In addition, it can do PHPXref
source
code highlighting and linking.

Features (short list):
-output in HTML, PDF (directly), CHM (with windows help compiler), XML
DocBook
-very fast
-web and command-line interface
-fully customizable output with Smarty-based templates
-recognizes JavaDoc-style documentation with special tags customized for
PHP 4
-automatic linking, class inheritance diagrams and intelligent override
-customizable source code highlighting, with phpxref-style
cross-referencing
-parses standard README/CHANGELOG/INSTALL/FAQ files and includes them
 directly in documentation
-generates a todo list from @todo tags in source
-generates multiple documentation sets based on @access private, @internal
and
 {@internal} tags
-example php files can be placed directly in documentation with
highlighting
 and phpxref linking using the @example tag
-linking between external manual and API documentation is possible at the
 sub-section level in all output formats
-easily extended for specific documentation needs with Converter
-full documentation of every feature, manual can be generated directly
from
 the source code with "phpdoc -c makedocs" in any format desired.
-current manual always available at http://www.phpdoc.org/manual.php
-user .ini files can be used to control output, multiple outputs can be
 generated at once
 
**WARNING**:
To use the web interface, you must set PEAR's data_dir to a subdirectory
of
document root.

If browsing to http://localhost/index.php displays
/path/to/htdocs/index.php,
set data_dir to a subdirectory of /path/to/htdocs:

$ pear config-set data_dir /path/to/htdocs/pear
$ pear install PhpDocumentor

http://localhost/pear/PhpDocumentor is the web interface

%prep

%setup -c -T

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install

export PHP_PEAR_PHP_BIN="/usr/bin/php5 -dmemory_limit=-1"

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PhpDocumentor.xml

%clean

rm -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/PhpDocumentor.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PhpDocumentor
fi

%files

%defattr(-,root,root)
%doc docs/PhpDocumentor/*
%{_bindir}/phpdoc
# is this acceptable for openSUSE packages ??
%{_bindir}/scripts/makedoc.sh
%{peardir}/*
%{xmldir}/PhpDocumentor.xml
%changelog
* Tue May  1 2007 judas_iscariote@shorewall.net 
- fixed these bugs reported in Sourceforge:
  [ 1667333 ] Mishandled Param = 0 Default in Converters
  [ 1656902 ] Error when converting class that extends Exception
  [ 1640392 ] docBuilder user directory
  [ 1634369 ] @global syntax in @name example
  [ 1633275 ] Update TODO Links to SF/PEAR Buglists
  [ 1631553 ] Docs Say TODO on INCLUDE Is OK
  [ 1620470 ] Ensure No Pathing Given in Output Converter Name
  [ 1620396 ] INSTALL is wrong and outdated
  [ 1614286 ] Fix Indexing of Constants
  [ 1611861 ] Fix --hidden flag handling
  [ 1611847 ] Fix PEAR Bug #9366
  [ 1602961 ] "--hidden off" / "-dh off" results in hidden=true
  [ 1590240 ] Double Tab-Count after Shell # Comment in SourceCode
  [ 1589650 ] Segfault with PHP 5.2
  [ 1588175 ] const elements sorting incorrectly
  [ 1586917 ] Object of class parserLinkInlineTag could not be converted
  [ 1585879 ] Fix the error text for Includes without docblock
  [ 1585875 ] Error text for Includes without docblock is incorrect
  [ 1583877 ] tagsort corrections in ParserDocBlock.inc
  [ 1583850 ] "Created by PhpDoc", not "Somesite"
  [ 1573816 ] CHM default template does not set help file title
  [ 1570942 ] Grammar/Typo Corrections in Tutorial
  [ 1548910 ] Do not copy \\".svn\\" and \\"CVS\\" dirs from media fol
  [ 1545418 ] Duplicated title in generated tutorials (docbook)
  [ 1544661 ] bteer line number alignment in smarty::php html template
  [ 1543686 ] Doesn't treat interface level docblock like class level docb
  [ 1525150 ] tag information displayed in random order
  [ 1518565 ] "-q off" different then not passing it
  [ 1348589 ] @copyright bug?
- fixed these bugs reported in PEAR:
  Bug # 9151:  ReflectionException when documenting classes derived from PHP internal classes
  Bug # 9366:  Last line with comment in &lt;code&gt; disappears
  Bug # 9673:  potential major security issue
  Bug # 9915:  PHP Notice in PDF Converter
  Bug # 9937:  Security Exploit CVE-2005-4593
  Bug #10266:  List in @todo tags not processed correctly
  Bug #10289:  Hangs at "Converting tutorials"
